Uses Crt,ModeXLib,Gif;

Var slow_flag:Boolean;          {for controlling the slow progressions}

Begin
  Init_Mode13;                  {Mode 13h on}
  LoadGif('palrot');            {load and display image}
  Show_Pic13;
  Repeat
    Pal_Rot(16,47);             {move "chess board"}
    If slow_flag Then Begin     {with every other progression:}
      Pal_Rot(63,48);           {move "fountain"}
      Pal_Rot(88,64);           {move "radar"}
    End;
    slow_flag:=not slow_flag;   {alternating "fountain" and "radar"}
                                {enable and lock}
    WaitRetrace;                {synchronization}

    SetPal;                     {set rotated palette}
  Until KeyPressed;             {until keypress}
  TextMode(3);
End.
